## Class TFirebugLogRoute

Description

TFirebugLogRoute class.

TFirebugLogRoute prints selected log messages in the firebug log console.

FireBug Website

- since: 3.1.2
- version: $Id: TLogRouter.php 2415 2008-03-24 20:39:47Z xue $
- author: Enrico Stahn <mail@enricostahn.com>, Christophe Boulain <Christophe.Boulain@gmail.com>

Located in /Util/TLogRouter.php (line 900)

    TComponent
       |
       --TApplicationComponent
          |
          --TLogRoute
             |
             --TBrowserLogRoute
                |
                --TFirebugLogRoute

Method Summary
void getFirebugLoggingFunction (mixed $level)
void renderFooter ()
void renderHeader ()
void renderMessage (mixed $log, mixed $info)
Variables

#### Inherited Variables

Inherited from TLogRoute

> TLogRoute::$_levelNames
> TLogRoute::$_levelValues

Methods
getFirebugLoggingFunction (line 941)

- access: protected

void getFirebugLoggingFunction (mixed $level)
renderFooter (line 930)

- access: protected

void renderFooter ()

Redefinition of:

TBrowserLogRoute::renderFooter()

renderHeader (line 902)

- access: protected

void renderHeader ()

Redefinition of:

TBrowserLogRoute::renderHeader()

renderMessage (line 916)

- access: protected

void renderMessage (mixed $log, mixed $info)

Redefinition of:

TBrowserLogRoute::renderMessage()

#### Inherited Methods

Inherited From TBrowserLogRoute

> TBrowserLogRoute::getColorLevel()
> TBrowserLogRoute::processLogs()
> TBrowserLogRoute::renderFooter()
> TBrowserLogRoute::renderHeader()
> TBrowserLogRoute::renderMessage()

Inherited From TLogRoute

> TLogRoute::collectLogs()
> TLogRoute::formatLogMessage()
> TLogRoute::getCategories()
> TLogRoute::getLevelName()
> TLogRoute::getLevels()
> TLogRoute::getLevelValue()
> TLogRoute::init()
> TLogRoute::processLogs()
> TLogRoute::setCategories()
> TLogRoute::setLevels()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:33 -0400 by phpDocumentor 1.3.0RC4